using System.Collections.Generic;
using FGUI.AddCell_12;
using FGUI.bkg_jilu;
using FGUI.bkg_reward_new;
using FGUI.Coins_101;
using FGUI.Common_01;
using FGUI.Egg_20;
using FGUI.failpack;
using FGUI.Fx_502;
using FGUI.Game_04;
using FGUI.GameResult_08;
using FGUI.Img_02;
using FGUI.Loading_25;
using FGUI.Lobby_03;
using FGUI.Login_05;
using FGUI.NetIdle_22;
using FGUI.P14_PassView;
using FGUI.Pack_16;
using FGUI.Privacy_24;
using FGUI.Prop_09;
using FGUI.rank;
using FGUI.Reward_10;
using FGUI.Setting_07;
using FGUI.Signin_19;
using FGUI.store_17;
using FGUI.threeDaysGift;
using FGUI.tixian;
using FGUI.Toast_23;
using FGUI.Turntable_11;
using FGUI.ZM_AddCell_12;
using FGUI.ZM_Tasks_13;

namespace ChillConnect
{
    public static class UIManagerRegister
    {
        public static void AutoRegisterBinder()
        {
            Common_01Binder.BindAll();
            Img_02Binder.BindAll();
            Setting_07Binder.BindAll();
            Login_05Binder.BindAll();
            Lobby_03Binder.BindAll();
            GameResult_08Binder.BindAll();
            Game_04Binder.BindAll();
            Prop_09Binder.BindAll();
            Reward_10Binder.BindAll();
            Turntable_11Binder.BindAll();
            AddCell_12Binder.BindAll();
            store_17Binder.BindAll();
            Signin_19Binder.BindAll();
            Egg_20Binder.BindAll();
            Coins_101Binder.BindAll();
            Fx_502Binder.BindAll();
            Toast_23Binder.BindAll();
            Loading_25Binder.BindAll();
            Privacy_24Binder.BindAll();
            NetIdle_22Binder.BindAll();
            tixianBinder.BindAll();
            failpackBinder.BindAll();
            threeDaysGiftBinder.BindAll();
            P14_PassViewBinder.BindAll();
            bkg_jiluBinder.BindAll();
            bkg_reward_newBinder.BindAll();
            rankBinder.BindAll();
            Pack_16Binder.BindAll();
            ZM_AddCell_12Binder.BindAll();
            ZM_Tasks_13Binder.BindAll();
        }

        public static void AutoRegisterCommonPackages()
        {
            List<string> commonPackages = new List<string>();

            commonPackages.Add("Common_01");

            UIManager.Instance.RegisterCommonPackages(commonPackages);
        }
    }
}